#!/usr/bin/env python
import sys
import os
import importlib

import ROOT
from ROOT import *

class gui:  
  def __init__(self):
    self.mainF = TGMainFrame( gClient.GetRoot(), 300, 300 )
    self.mainW = TGVerticalFrame( self.mainF, 500, 500, kFixedSize|kDoubleBorder)

    self.Tab = TGTab(self.mainW, 300, 300)
    fL = TGLayoutHints(kLHintsTop, 2, 2, 2, 2)
    
    # first tab
    fTab_T1 = self.Tab.AddTab("tab 1")
    fF1 = TGCompositeFrame(fTab_T1)
    fTestB = TGTextButton(fF1, "button 1")
    fF1.AddFrame(fTestB, fL)
    fTab_T1.AddFrame(fF1, fL)
    
    #second tab with imported frame
    moduleName = "frameToImport"
    importedFrame = importlib.import_module(moduleName)
    
    fTab_T2 = self.Tab.AddTab("tab 2")
    fF2 = importedFrame.myframe()
    fTab_T2.AddFrame(fF2.mainW, fL)
    
    self.mainW.AddFrame(self.Tab, fL);
    self.mainF.AddFrame( self.mainW, fL) 
    
    self.ExitButton = TGTextButton( self.mainW, '&Exit','TPython::Exec("raise SystemExit")')
    self.mainW.AddFrame( self.ExitButton, TGLayoutHints(kLHintsBottom|kLHintsExpandX,20,20,20,20) )
    
    self.mainF.MapSubwindows()
    self.mainF.Resize()
    self.mainF.MapWindow()
          
if __name__ == '__main__':
  g = gui()
  gApplication.Run()

  
  
  
  
